# mock config file for LSCSoft for Scientific Linux 7.6 with SCL

config_opts['root'] = 'lscsoft-sl-7.6-scl-x86_64'
config_opts['target_arch'] = 'x86_64'
config_opts['legal_host_arches'] = ('x86_64',)
config_opts['chroot_setup_cmd'] = 'install @buildsys-build python python34 python36 python-rpm-macros python2-rpm-macros python3-rpm-macros'
config_opts['dist'] = 'el7'  # only useful for --resultdir variable subst
config_opts['releasever'] = '7'

config_opts['yum.conf'] = """
[main]
keepcache=1
debuglevel=2
reposdir=/dev/null
logfile=/var/log/yum.log
retries=20
obsoletes=1
gpgcheck=0
assumeyes=1
syslog_ident=mock
syslog_device=

# repos
[sl76]
name=Scientific Linux 7.6 - $basearch
baseurl=http://omen.phys.uwm.edu/scientificlinux/7.6/$basearch/os
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl7

[sl76-security]
name=Scientific Linux 7.6 - $basearch - security updates
baseurl=http://omen.phys.uwm.edu/scientificlinux/7.6/$basearch/updates/security
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl7

[sl76-fastbugs]
name=Scientific Linux 7.6 - $basearch - bugfix updates
baseurl=http://omen.phys.uwm.edu/scientificlinux/7.6/$basearch/updates/fastbugs/
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl7

[lscsoft-epel]
name=lscsoft-epel
baseurl=http://software.ligo.org/lscsoft/epel/7/x86_64/
failovermethod=priority
exclude=*globus* gsi-openssh*
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7

[lscsoft-backports]
name = lscsoft-backports
baseurl = http://software.ligo.org/lscsoft/scientific/7/$basearch/backports/
enabled = 1
gpgcheck = 0

[lscsoft-production]
name = lscsoft-production
baseurl = http://software.ligo.org/lscsoft/scientific/7/$basearch/production/
enabled = 1
gpgcheck = 0

[lscsoft-production-staging]
name = lscsoft-production-staging
baseurl = http://software.ligo.org/lscsoft/scientific/7/$basearch/production-staging/
enabled = 1
gpgcheck = 0

[lscsoft-testing]
name = lscsoft-testing
baseurl = http://software.ligo.org/lscsoft/scientific/7/$basearch/testing/
enabled = 1
gpgcheck = 0

[lscsoft-staging]
name = lscsoft-staging
baseurl = http://software.ligo.org/lscsoft/scientific/7/$basearch/staging/
enabled = 1
gpgcheck = 0

[lscsoft-ius]
name = lscsoft-ius
baseurl = http://software.ligo.org/lscsoft/ius/7/$basearch/
enabled = 1
gpgcheck = 0

[lscsoft-htcondor]
name = condor
baseurl = http://omen.phys.uwm.edu/condor-yum/rhel7/
enabled = 1
gpgcheck = 1
gpgkey = http://omen.phys.uwm.edu/condor-yum/RPM-GPG-KEY-HTCondor

[scl-rh]
name = CentOS SCLrh
baseurl = http://mirror.centos.org/centos/7/sclo/$basearch/rh/
gpgcheck = 1
gpgkey = https://www.centos.org/keys/RPM-GPG-KEY-CentOS-SIG-SCLo

"""
